<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <title>fwConfigs: DP Function Config Panel</title>
  <meta http-equiv="Content-Type"
 content="text/html; charset=iso-8859-1">
</head>
<body>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr valign="top">
      <td bgcolor="#00cc00" width="22%"><strong>Panel Name</strong></td>
      <td colspan="2" width="78%">
      <p>fwDpFunctionConfig.pnl</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Introduction<br>
      </strong></td>
      <td colspan="2">
      <p>This panel is used to set up the Data Point function configuration for
        one or many data point elements. If the panel is used for just one data
        point
        element at a time, the panel shows the
        current DP function of the data point element when loaded.</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Instructions</strong></td>
      <td colspan="2"><p>When configuring the DP function for a data point element
          (or elements) you should first check the &quot;DP Function ON/OFF&quot; check
          box. Then the DP Function options will appear.</p>
        <p>Next, you must choose the function parameters (p1, p2...) and 
		function globals (g1, g2...) that you require for the calculation.&nbsp; 
		As you add parameters and globals, you will notice that each one is 
		assigned a name, starting with p for parameters and g for globals.&nbsp; 
		It is these names that will be used to refer to the parameters and 
		globals in the DP function.</p>
		<p><b>Note: </b>The function parameters and function globals are handled 
		in different ways by the DP function.&nbsp; A change in any of the 
		function parameter data point elements will cause the calculation to be 
		triggered.&nbsp; At this point, the value of all the other function 
		parameters will be obtained for the calculation.&nbsp; For global 
		values, the value is only read when the config is saved (when the OK or Apply 
		button is pressed).&nbsp; A change in a global value data point element 
		does not cause the function to be reevaluated.&nbsp; Nor, will this new 
		value be used if the function is reevaluated due to a change in one of 
		the function parameters.</p>
        <p>Once you have selected the desired function parameters and globals, 
		you need to define the actual DP function.&nbsp; This can be done by using 
		standard mathematical operators, some PVSS functions and by referring to 
		the parameters and globals using the names in the lists, e.g. p1, g1.&nbsp; 
		Examples of valid DP Functions are:</p>
		<blockquote>
			(p1+g1)*p2<br>getBit(p1, 3)</blockquote>
		<p>When the function is defined, press OK or Apply to save the configuration.</p>
        <p>To delete the DP function configuration on the data point element(s),
          uncheck the &quot;DP Function ON/OFF&quot; check box and then press
          either OK or Apply.</p>
        <p><strong>For Statistical functions</strong>, Check the option Statistical, then choose the time interval during which to compute the statistics (Interval), and the delay on first start (Delay).
		The function variables must be associated to a statistical function, just select it on the drop-down list.</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Restrictions</strong></td>
      <td colspan="2"><p>A DP function can only be set on certain types of data 
		point elements . The panel does not, for example, allow any DP function config 
		to be set for a structure data point element.</p>
        <p>If you load the panel for a collection of data point elements, the
          panel will show only the DP function options that can be applied to
          all the current elements. So, for example, if the panel is used to
          configure
          a float element and a structure element, the DP function
          will not be able to be configured because the structure data point element
          does not support it. You can press the
          &quot;Select Elements&quot; buttons to choose which data point elements
          to configure from the list that was passed to the panel.</p></td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<table width="647" height="443" border="0" align="center">
  <tbody>
    <tr>
      <td>
        <div align="center">
			<img
 src="fwDpFunctionConfig.jpg" alt="Panel screenshot" style="width: 647px; height: 443px;"></div>
      </td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr bgcolor="#00cc00">
      <td colspan="3"><strong>Dollar Parameters</strong></td>
    </tr>
    <tr bgcolor="#00cc00">
      <td width="23%"><strong>Name</strong></td>
      <td width="62%"><strong>Description</strong></td>
      <td width="15%">&nbsp;</td>
    </tr>
    <tr>
      <td>$sDpe</td>
      <td><p>The name of the data point element(s) to configure.</p>
        <p>If you wish to use the panel for multiple data point elements, you
          should pass a list in the same format as the PVSS dyn_string, i.e.dpe1
          | dpe2 | dpe3<br>
        </p></td>
      <td>Required</td>
    </tr>
    <tr>
      <td>$bHierarchyBrowser</td>
      <td><p>Controls the position and visibility of the OK, Apply and Cancel
          buttons.</p>
      <p>TRUE - Shows Apply button only.<br>
      FALSE - Shows OK, Apply and Cancel button.</p></td>
      <td>Required<br>
      </td>
    </tr>
  </tbody>
</table>
<br>
</body>
</html>
